Subject: bug#10714: SHR leaves too much trailing whitespace

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Feb 2012 19:39:52 +0100

Stefan Monnier <[email-masked]> writes:

> So I think we should trim all trailing whitespace after rendering,
> which will solve at least some of those problems.

I think that's a very good idea.  The final stage in the rendering
process would be just to delete all trailing whitespace.

It seems intuitive to me that this would create a better result than the
current rendering, but right now I'm now able to find any HTML emails
here that renders badly in this manner.  (And I'd like to test it to see
if there are any unforeseen negative effects.)

Do you happen to have such an email handy that you could forward to me?
If not, I can search around my spam mailbox some more...

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Sent from my Rome